<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     mod_videoconnect
 * @category    string
 * @copyright   2021-2024 3ipunt {@link https://www.tresipunt.com}
 * @author     3IPUNT <contacte@tresipunt.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['access_token'] = 'Personal Access Token';
$string['client_id'] = 'Client ID';
$string['client_secret'] = 'Client Secret';
$string['completed'] = 'This video will be available for viewing shortly';
$string['deleted'] = 'This course module has been deleted';
$string['discarded'] = 'This video has been discarded for a new one';
$string['error_folder'] = 'Error moving video to folder';
$string['error_uploading'] = 'An error occurred while uploading the video to Vimeo';
$string['error_whitelist'] = 'Error in update whitelist';
$string['filepath_not_found'] = 'No video selected for upload';
$string['folderid'] = 'Folder ID';
$string['folderid_desc'] = "Folder ID where the video will be moved. Ex: https://vimeo.com/manage/folders/<strong>4206879</strong>";
$string['id_video_missing'] = 'ID video is missing in uploading response';
$string['idvideo'] = 'ID Video of Vimeo';
$string['idvideo_help'] = 'Ex: https://vimeo.com/<strong>536287845</strong>';
$string['is_authenticated'] = 'Is authenticated?';
$string['is_authenticated_desc'] = 'Select this option if you have a personal access token';
$string['missingidandcmid'] = 'Missing ID and CMID in URL';
$string['modulename'] = 'Video Connect';
$string['modulenameplural'] = 'Video Connects';
$string['not_executed'] = 'This video will be available for viewing shortly';
$string['pluginadministration'] = 'Video Connect Administration';
$string['pluginname'] = 'Video Connect';
$string['scopes'] = 'Scopes';
$string['scopes_desc'] = 'Scopes accepted';
$string['scopes_not_exist'] = 'There are no scopes configured in the plugin';
$string['selectvideo'] = 'Select a video';
$string['task_upload_videos'] = 'Task to upload videos to Vimeo';
$string['uploading'] = 'This video will be available for viewing shortly';
$string['videoconnectname'] = 'Name';
$string['videoconnectname_help'] = 'Select a name for this resource';
$string['vimeoheading'] = 'Vimeo API configuration';
$string['vimeoheadingdesc'] = 'Fill in the following fields with your Vimeo credentials';
$string['we_are_sorry'] = 'We are sorry';
$string['whitelist'] = 'Whitelist domain';
$string['whitelist_desc'] = "Domain to include in the privacy whitelist. Don't include protocol 'http://' or 'https://'. Ex: yoursite.test";
